Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence.spi
Enum PersistenceUnitTransactionType

    java.lang.Object
      java.lang.Enum<PersistenceUnitTransactionType>
          javax.persistence.spi.PersistenceUnitTransactionType

All Implemented Interfaces:
  Serializable, Comparable<PersistenceUnitTransactionType>

    public enum PersistenceUnitTransactionType

extends Enum<PersistenceUnitTransactionType>

This enum class defines whether the entity managers created by the EntityManagerFactory will be JTA or resource-local entity managers.

Author:
  Bill Burke

Enum Constant Summary
`JTA` JTA entity manager
`RESOURCE_LOCAL` Resource-local entity manager

Method Summary
`static PersistenceUnitTransactionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PersistenceUnitTransactionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JTA

    public static final PersistenceUnitTransactionType JTA

  JTA entity manager

### RESOURCE_LOCAL

    public static final PersistenceUnitTransactionType RESOURCE_LOCAL

  Resource-local entity manager

Method Detail

### values

    public static final PersistenceUnitTransactionType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PersistenceUnitTransactionType c : PersistenceUnitTransactionType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PersistenceUnitTransactionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD